function plot_world( pos, world, values )
clf;
imagesc(world)
hold on;

for x=1:size(world, 1)
    for y=1:size(world, 2)
        if (world(x,y) ~= 2)
            val = sprintf('%.2f', values(x,y));
            if ([x y] == pos)               
                text(y, x, val, 'HorizontalAlignment', 'center', 'Color', 'yellow', 'FontSize', 28);
            else
                text(y, x, val, 'HorizontalAlignment', 'center', 'Color', 'white', 'FontSize', 28);
            end
        end
    end
end

scatter(pos(2), pos(1), 1000, 'x', 'LineWidth', 5);

drawnow;
end

